[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TIDesigner.ValidateRename

ValidateRename - method to validate the Rename process

## Declaration

Source position: forms.pp line 1566

`public procedure TIDesigner.ValidateRename(`
`AComponent: TComponent;`
`const CurName: String;`
`const NewName: String`
`); virtual; abstract;`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.